Bug 50544 - Anaconda does not check size of vfat partition
Anaconda does not check size of vfat partition
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-31 21:19 EDT by Stephen John Smoogen
Modified: 2007-04-18 12:35 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-01 11:29:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Stephen John Smoogen 2001-07-31 21:19:06 EDT
Description of Problem:
When trying to format a vfat partition, anaconda does not check to see how
large the partition is. I was able to tell it to make a 6 gig vfat
partition (which when allowed I thought cool.. its going to make it fat32). 
It then sent the partition to mkfsdos which of course complained that it
cant make a fat16 partition larger than X gigs in size.

How Reproducible:
100%

Steps to Reproduce:
1. Go through install via autopartioning and skip a drive
2. Try to create a >2 gig VFAT partition when it asks if you want any changes.
3. Watch anaconda burn.

Actual Results:
Anaconda died with 'unexpected error.. need to reboot.'

Expected Results:
One of several
 1) It somehow makes a FAT32 partition if the size of the partition is
    greater than 2 gigs.
 2) It tells me I cant make a partition bigger than 2 gigs.
Additional Information:
Comment 1 Preston Brown 2001-08-01 09:57:50 EDT
mkdosfs has the ability to make FAT32, so this should be correctable.  A 
little math and an extra command line parameter conditionally passed, and we 
are done.
Comment 2 Jeremy Katz 2001-08-01 14:11:35 EDT
For now, just limiting FAT partitions to two gigs.  The primary reason for
allowing the formatting of FAT partitions is for /boot/efi on ia64 and adding
the added complication to pass down partition size complications into the
formatting layer isn't worth it at this point.

Note You need to log in before you can comment on or make changes to this bug.